# libdar::compressor Class Reference

compression class for gzip and bzip2 algorithms More...

`#include <compressor.hpp>`

Inherits libdar::generic_file.

List of all members.

## Public Member Functions
void | change_algo (compression new_algo, U_I new_compression_level)
| changes compression algorithm used by the compressor
void | change_algo (compression new_algo)
| changes the compression algorithm keeping the same compression level
bool | skip (const infinint &position)
| skip at the absolute position
bool | skip_to_eof ()
| skip to the end of file
bool | skip_relative (S_I x)
| skip relatively to the current position
infinint | get_position ()
| get the current read/write position

## Detailed Description

compression class for gzip and bzip2 algorithms

Definition at line 57 of file compressor.hpp.

## Member Function Documentation

void libdar::compressor::change_algo | ( | compression | new_algo,
|  | U_I | new_compression_level |
| ) |  |  |

changes compression algorithm used by the compressor

Parameters:

  `[in]` | new_algo | defines the new algorithm to use
  `[in]` | new_compression_level | defines the new compression level to use.

Note:
  valid value for new_compression_level range from 0 (no compression) to 9 (maximum compression).

Referenced by change_algo().

The documentation for this class was generated from the following file:

- compressor.hpp